%define		module	eyeD3
Summary:	Module for manipulating ID3 informational tags on MP3 audio files
Summary(pl.UTF-8):	Moduł służący do manipulacji znacznikami ID3 plików MP3
Name:		python-%{module}
Version:	0.6.18
Release:	1
License:	GNU
Group:		Development/Languages/Python
Source0:	http://eyed3.nicfit.net/releases/%{module}-%{version}.tar.gz
# Source0-md5:	ad545c55bb8bdd579e8d14c5bdaacee5
URL:		http://eyed3.nicfit.net/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eyeD3 is a Python module and program for processing ID3 tags.
Information about MP3 files (i.e bit rate, sample frequency, play
time, etc.) is also provided. The formats supported are ID3 v1.0/v1.1
and v2.3/v2.4.

%description -l pl.UTF-8
eyeD3 to moduł języka Python oraz wykorzystujący go program,
przetwarzający znaczniki ID3. Dostarczana jest także informacja o
samych plikach MP3 (długość, częstotliwość próbkowania itp.).
Obsługiwane są znaczniki ID3 w wersjach v1.0/v1.1 i v2.3/v2.4.

%prep
%setup -q -n %{module}-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/*.py
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.html NEWS TODO
%attr(755,root,root) %{_bindir}/%{module}
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/eyeD3-%{version}-*.egg-info
%{_mandir}/man1/%{module}.1*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-eyeD3.git;a=log;h=master

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> ac9fff9
- up to 0.6.18

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 97eb74a
- BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 62dec12
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bf3212
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 30bf80c
- up to 0.6.17
- %files: egg.info

* Tue Nov 11 2008 arvenil <arvenil@pld-linux.org> 3b660c4
- up to 0.6.16

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 51d9b9a
- release 2

* Mon Feb 26 2007 darekr <darekr@pld-linux.org> eccc253
- updated to 0.6.12 from beorn at alpha.pl

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3fbfbe1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8c06930
- converted to UTF-8

* Tue Nov 14 2006 Patryk Zawadzki <patrys@room-303.com> 176519c
- up to 0.6.11

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 207b014
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Jan 19 2005 leafnode <leafnode@pld-linux.org> 5f90776
- updated to 0.6.3

* Sat Nov 27 2004 saq <saq@pld-linux.org> 9ac844b
- massive attack: added missing python-devel epoch do BR

* Thu Nov 25 2004 snurf <snurf@pld-linux.org> 9aff651
- typo

* Mon Nov 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 9707283
- MP3 unification

* Mon Nov 22 2004 leafnode <leafnode@pld-linux.org> 3f9d7a2
- import

